GroovyPage (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPage

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script
              org.codehaus.groovy.grails.web.pages.GroovyPage

    public abstract class GroovyPage
    extends groovy.lang.Script

NOTE: Based on work done by on the GSP standalone project (https://gsp.dev.java.net/)

Base class for a GroovyPage (at the moment there is nothing in here but could be useful for providing utility methods etc.

Authors:
  Troy Heninger
  Graeme Rocher
  Lari Hotari

Nested Class Summary
`static class` | `GroovyPage.ConstantClosure`

Field Summary
`static java.lang.String` | `ACTION_NAME`
`static java.lang.String` | `APPLICATION_CONTEXT`
`static java.lang.String` | `ATTRIBUTES`
`static java.lang.String` | `CODEC_VARNAME`
`static java.lang.String` | `CONTROLLER_NAME`
`static java.lang.String` | `DEFAULT_NAMESPACE`
`protected static groovy.lang.Closure` | `EMPTY_BODY_CLOSURE`
`static java.lang.String` | `ENCODE_AS_ATTRIBUTE_NAME`
`static java.lang.String` | `EXPRESSION_OUT`
`static java.lang.String` | `EXPRESSION_OUT_STATEMENT`
`static java.lang.String` | `EXTENSION`
`static java.lang.String` | `FLASH`
`static java.lang.String` | `LINK_NAMESPACE`
`static java.lang.String` | `OUT`
`static java.lang.String` | `OUT_STATEMENT`
`static java.lang.String` | `PAGE_SCOPE`
`static java.lang.String` | `PARAMS`
`static java.lang.String` | `PLUGIN_CONTEXT_PATH`
`static java.lang.String` | `REQUEST`
`static java.util.Collection` | `RESERVED_NAMES`
`static java.lang.String` | `RESPONSE`
`static java.lang.String` | `SERVLET_CONTEXT`
`static java.lang.String` | `SESSION`
`static java.lang.String` | `SUFFIX`
`static java.lang.String` | `TEMPLATE_NAMESPACE`
`static java.lang.String` | `WEB_REQUEST`

Method Summary
`java.lang.Object` | `GroovyPage()`
`static java.lang.Object` | `captureTagOutput(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName, java.util.Map attrs, java.lang.Object body, GrailsWebRequest webRequest)`
`void` | `changeItVariable(java.lang.Object value)`
`void` | `cleanup()`
`void` | `createClosureForHtmlPart(int partNumber, int bodyClosureIndex)`
`static groovy.lang.Closure` | `createOutputCapturingClosure(java.lang.Object wrappedInstance, java.lang.Object body1, GrailsWebRequest webRequest)`
`void` | `createTagBody(int bodyClosureIndex, groovy.lang.Closure bodyClosure)`
`java.lang.Object` | `evaluate(java.lang.String exprText, int lineNumber, java.lang.Object outerIt, groovy.lang.Closure evaluator)` In the development environment this method is used to evaluate expressions and improve error reporting
`groovy.lang.Closure` | `getBodyClosure(int index)`
`java.io.Writer` | `getExpressionOut()`
`java.lang.String` | `getGroovyPageFileName()`
`java.lang.String[]` | `getHtmlParts()`
`JspTag` | `getJspTag(java.lang.String uri, java.lang.String name)`
`java.io.Writer` | `getOut()`
`GroovyPageOutputStack` | `getOutputStack()`
`java.lang.String` | `getPluginContextPath()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`protected void` | `init()`
`void` | `initRun(java.io.Writer target, GrailsWebRequest grailsWebRequest, GroovyPageMetaInfo metaInfo)`
`void` | `invokeTag(java.lang.String tagName, java.lang.String tagNamespace, int lineNumber, java.util.Map attrs, int bodyClosureIndex)` Attempts to invokes a dynamic tag
`protected boolean` | `isHtmlPart(java.lang.String htmlPart)`
`static boolean` | `isReservedName(java.lang.String name)` Return whether the given name cannot be used within the binding of a GSP
`void` | `printHtmlPart(int partNumber)`
`java.lang.Object` | `raw(java.lang.Object value)`
`void` | `registerSitemeshPreprocessMode()`
`void` | `setBodyClosure(int index, groovy.lang.Closure bodyClosure)`
`void` | `setGspTagLibraryLookup(TagLibraryLookup gspTagLibraryLookup)` Sets the GSP tag library lookup class
`void` | `setHtmlParts(java.lang.String[] htmlParts)`
`void` | `setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)` Sets the JSP tag library resolver to use to resolve JSP tags
`void` | `setJspTags(java.util.Map jspTags)`
`void` | `setOut(java.io.Writer newWriter)`
`void` | `setPluginContextPath(java.lang.String pluginContextPath)`

Methods inherited from class groovy.lang.Script
groovy.lang.Script#printf(java.lang.String, java.lang.Object), groovy.lang.Script#printf(java.lang.String, [Ljava.lang.Object;), groovy.lang.Script#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Script#getBinding(), groovy.lang.Script#setBinding(groovy.lang.Binding), groovy.lang.Script#println(), groovy.lang.Script#println(java.lang.Object), groovy.lang.Script#run(java.io.File, [Ljava.lang.String;), groovy.lang.Script#run(), groovy.lang.Script#setProperty(java.lang.String, java.lang.Object), groovy.lang.Script#getProperty(java.lang.String), groovy.lang.Script#print(java.lang.Object), groovy.lang.Script#evaluate(java.io.File), groovy.lang.Script#evaluate(java.lang.String), groovy.lang.Script#getMetaClass(), groovy.lang.Script#setMetaClass(groovy.lang.MetaClass), groovy.lang.Script#wait(long, int), groovy.lang.Script#wait(long), groovy.lang.Script#wait(), groovy.lang.Script#equals(java.lang.Object), groovy.lang.Script#toString(), groovy.lang.Script#hashCode(), groovy.lang.Script#getClass(), groovy.lang.Script#notify(), groovy.lang.Script#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Field Detail

### ACTION_NAME

    public static final java.lang.String ACTION_NAME

### APPLICATION_CONTEXT

    public static final java.lang.String APPLICATION_CONTEXT

### ATTRIBUTES

    public static final java.lang.String ATTRIBUTES

### CODEC_VARNAME

    public static final java.lang.String CODEC_VARNAME

### CONTROLLER_NAME

    public static final java.lang.String CONTROLLER_NAME

### DEFAULT_NAMESPACE

    public static final java.lang.String DEFAULT_NAMESPACE

### EMPTY_BODY_CLOSURE

    protected static final groovy.lang.Closure EMPTY_BODY_CLOSURE

### ENCODE_AS_ATTRIBUTE_NAME

    public static final java.lang.String ENCODE_AS_ATTRIBUTE_NAME

### EXPRESSION_OUT

    public static final java.lang.String EXPRESSION_OUT

### EXPRESSION_OUT_STATEMENT

    public static final java.lang.String EXPRESSION_OUT_STATEMENT

### EXTENSION

    public static final java.lang.String EXTENSION

### FLASH

    public static final java.lang.String FLASH

### LINK_NAMESPACE

    public static final java.lang.String LINK_NAMESPACE

### OUT

    public static final java.lang.String OUT

### OUT_STATEMENT

    public static final java.lang.String OUT_STATEMENT

### PAGE_SCOPE

    public static final java.lang.String PAGE_SCOPE

### PARAMS

    public static final java.lang.String PARAMS

### PLUGIN_CONTEXT_PATH

    public static final java.lang.String PLUGIN_CONTEXT_PATH

### REQUEST

    public static final java.lang.String REQUEST

### RESERVED_NAMES

    public static final java.util.Collection RESERVED_NAMES

### RESPONSE

    public static final java.lang.String RESPONSE

### SERVLET_CONTEXT

    public static final java.lang.String SERVLET_CONTEXT

### SESSION

    public static final java.lang.String SESSION

### SUFFIX

    public static final java.lang.String SUFFIX

### TEMPLATE_NAMESPACE

    public static final java.lang.String TEMPLATE_NAMESPACE

### WEB_REQUEST

    public static final java.lang.String WEB_REQUEST

Method Detail

### GroovyPage

    public java.lang.Object GroovyPage()

### captureTagOutput

    @java.lang.SuppressWarnings}
    public static final java.lang.Object captureTagOutput(TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String tagName, java.util.Map attrs, java.lang.Object body, GrailsWebRequest webRequest)

### changeItVariable

    public void changeItVariable(java.lang.Object value)

### cleanup

    public void cleanup()

### createClosureForHtmlPart

    public final void createClosureForHtmlPart(int partNumber, int bodyClosureIndex)

### createOutputCapturingClosure

    public static final groovy.lang.Closure createOutputCapturingClosure(java.lang.Object wrappedInstance, java.lang.Object body1, GrailsWebRequest webRequest)

### createTagBody

    public final void createTagBody(int bodyClosureIndex, groovy.lang.Closure bodyClosure)

### evaluate

    public java.lang.Object evaluate(java.lang.String exprText, int lineNumber, java.lang.Object outerIt, groovy.lang.Closure evaluator)

  In the development environment this method is used to evaluate expressions and improve error reporting
  Parameters:
    `exprText` - The expression text
    `lineNumber` - The line number
    `outerIt` - The other reference to the variable 'it'
    `evaluator` - The expression evaluator
  Returns:
    The result

### getBodyClosure

    public final groovy.lang.Closure getBodyClosure(int index)

### getExpressionOut

    public final java.io.Writer getExpressionOut()

### getGroovyPageFileName

    public java.lang.String getGroovyPageFileName()

### getHtmlParts

    public java.lang.String[] getHtmlParts()

### getJspTag

    public JspTag getJspTag(java.lang.String uri, java.lang.String name)

### getOut

    public final java.io.Writer getOut()

### getOutputStack

    public final GroovyPageOutputStack getOutputStack()

### getPluginContextPath

    public java.lang.String getPluginContextPath()

### getProperty

    @java.lang.Overrideif (EXPRESSION_OUT.equals(property)) return expressionOut;
    public java.lang.Object getProperty(java.lang.String property)

### getRequest

    public final javax.servlet.http.HttpServletRequest getRequest()

### init

    protected void init()

### initRun

    public void initRun(java.io.Writer target, GrailsWebRequest grailsWebRequest, GroovyPageMetaInfo metaInfo)

### invokeTag

    @java.lang.SuppressWarningsfinal Map tmpAttrs = attrs;
    public final void invokeTag(java.lang.String tagName, java.lang.String tagNamespace, int lineNumber, java.util.Map attrs, int bodyClosureIndex)

  Attempts to invokes a dynamic tag
  Parameters:
    `tagName` - The name of the tag
    `tagNamespace` - The taglib's namespace
    `lineNumber` - GSP source lineNumber
    `attrs` - The tags attributes
    `bodyClosureIndex` - The index of the body variable

### isHtmlPart

    protected boolean isHtmlPart(java.lang.String htmlPart)

### isReservedName

    public static final boolean isReservedName(java.lang.String name)

  Return whether the given name cannot be used within the binding of a GSP
  Parameters:
    `name` - True if it can't
  Returns:
    A boolean true or false

### printHtmlPart

    public final void printHtmlPart(int partNumber)

### raw

    public java.lang.Object raw(java.lang.Object value)

### registerSitemeshPreprocessMode

    public final void registerSitemeshPreprocessMode()

### setBodyClosure

    public final void setBodyClosure(int index, groovy.lang.Closure bodyClosure)

### setGspTagLibraryLookup

    public void setGspTagLibraryLookup(TagLibraryLookup gspTagLibraryLookup)

  Sets the GSP tag library lookup class
  Parameters:
    `gspTagLibraryLookup` - The class used to lookup a GSP tag library

### setHtmlParts

    public void setHtmlParts(java.lang.String[] htmlParts)

### setJspTagLibraryResolver

    public void setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)

  Sets the JSP tag library resolver to use to resolve JSP tags
  Parameters:
    `jspTagLibraryResolver` - The JSP tag resolve

### setJspTags

    @java.lang.SuppressWarningsthis.htmlParts = htmlParts;
    public void setJspTags(java.util.Map jspTags)

### setOut

    public void setOut(java.io.Writer newWriter)

### setPluginContextPath

    public void setPluginContextPath(java.lang.String pluginContextPath)

Groovy Documentation